package gorm_model

// 服务商加入商单的种草任务
type YounggeeSProjectInfo struct {
	SProjectId          int     `gorm:"column:s_project_id;type:int(11);primary_key;AUTO_INCREMENT;comment:服务商种草任务ID" json:"s_project_id"`
	ProjectId           string  `gorm:"column:project_id;type:varchar(255);comment:被服务商加入商单的原种草任务ID" json:"project_id"`
	ProjectStatus       int     `gorm:"column:project_status;type:tinyint(4);comment:项目状态，1-10分别代表创建中、待审核、审核通过、招募中、招募完毕、待支付、已支付、失效、执行中、已结案" json:"project_status"`
	ProjectType         int     `gorm:"column:project_type;type:tinyint(4);comment:种草任务类型，1为公开，2为定向" json:"project_type"`
	ProjectName         string  `gorm:"column:project_name;type:varchar(50);comment:种草任务名称" json:"project_name"`
	ProjectPlatform     int     `gorm:"column:project_platform;type:tinyint(4);comment:种草任务平台，1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎" json:"project_platform"`
	ProjectForm         int     `gorm:"column:project_form;type:tinyint(4);comment:任务形式，1-3分别代表商品寄拍、素材分发、虚拟产品测评" json:"project_form"`
	ContentType         int     `gorm:"column:content_type;type:tinyint(4);comment:内容形式，1代表图文，2代表视频" json:"content_type"`
	ShareCode           string  `gorm:"column:share_code;type:varchar(255);comment:分享码URL" json:"share_code"`
	SupplierId          int     `gorm:"column:supplier_id;type:int(11);comment:服务商ID" json:"supplier_id"`
	EnterpriseId        string  `gorm:"column:enterprise_id;type:varchar(255);comment:所属企业id" json:"enterprise_id"`
	ApplyNum            int     `gorm:"column:apply_num;type:int(11);default:0;comment:报名人数;NOT NULL" json:"apply_num"`
	RecruitNum          int     `gorm:"column:recruit_num;type:int(11);default:0;comment:已招募人数;NOT NULL" json:"recruit_num"`
	SettleNum           int     `gorm:"column:settle_num;type:int(11);default:0;comment:已结算人数" json:"settle_num"`
	SubAccountId        int     `gorm:"column:sub_account_id;type:int(11);default:0;comment:服务商子账号ID" json:"sub_account_id"`
	ServiceCharge       float64 `gorm:"column:service_charge;type:decimal(10,2);default:0.00;comment:服务商预估可赚服务费" json:"service_charge"`
	ServiceChargeActual float64 `gorm:"column:service_charge_actual;type:decimal(10,2);default:0.00;comment:服务商实际可赚服务费" json:"service_charge_actual"`
	OperatorType        int     `gorm:"column:operator_type;type:int(11);default:0;comment:添加商单操作人类型，1为服务商主账号，2为服务商子账号" json:"operator_type"`
	EstimateDraftFee    float64 `gorm:"column:estimate_draft_fee;type:decimal(10,2);comment:预估稿费" json:"estimate_draft_fee"`
	EstimateSupportFee  float64 `gorm:"column:estimate_support_fee;type:decimal(10,2);comment:预估支持费" json:"estimate_support_fee"`
}

func (m *YounggeeSProjectInfo) TableName() string {
	return "younggee_s_project_info"
}
